Bug 1378894 (CVE-2015-7552)

Summary: CVE-2015-7552 gdk-pixbuf: Heap-based buffer overflow in the gdk_pixbuf_flip function
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bmcclain, cfergeau, dblechte, eedri, erik-fedora, fedora, lsurette, mclasen, mgoldboi, michal.skrivanek, otte, rh-spice-bugs, rjones, srevivo, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gdk-pixbuf 2.31.7, gdk-pixbuf 2.32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:59:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1378896, 1378897, 1378898    
Bug Blocks: 1378923    

Description Adam Mariš 2016-09-23 13:18:11 UTC
Heap-based buffer overflow in the gdk_pixbuf_flip function in gdk-pixbuf-scale.c in gdk-pixbuf 2.30.x was found that can cause DoS via crafted BMP file.

Comment 1 Adam Mariš 2016-09-23 13:18:35 UTC
Acknowledgments:

Name: Gustavo Grieco

Comment 2 Adam Mariš 2016-09-23 13:19:26 UTC
Created gdk-pixbuf2 tracking bugs for this issue:

Affects: fedora-all [bug 1378896]

Comment 3 Adam Mariš 2016-09-23 13:19:41 UTC
Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: fedora-all [bug 1378897]
Affects: epel-7 [bug 1378898]

Comment 4 Dhiru Kholia 2016-10-03 09:39:39 UTC
Upstream patch:

https://git.gnome.org/browse/gdk-pixbuf/commit/?id=4f68cb78a5277f169b9531e6998c00c7976594e4

gdk-pixbuf 2.31.7 includes this fix.

Comment 6 Doran Moppert 2020-08-10 00:52:51 UTC
Fix was included in man later upstream branches, including gdk-pixbuf-2.36.0 which was rebased in rhel-7.4:

https://gitlab.gnome.org/GNOME/gdk-pixbuf/-/commit/4f68cb78a5277f169b9531e6998c00c7976594e4